package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 【请填写功能名称】对象 t_u_interfaceinfo
 *
 * @author lei
 * @date 2021-07-01
 */
public class TUInterfaceinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 状态 */
    @Excel(name = "编码")
    private String code;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除时间 */
    private String delFlag;

    /** 接口名称 */
    @Excel(name = "接口名称")
    private String interfaceName;

    /** 信息项 */
    @Excel(name = "信息项")
    private String infoItem;

    /** 使用场景描述 */
    @Excel(name = "使用场景描述")
    private String usageScenarios;

    /** 共享方式 */
    @Excel(name = "共享方式")
    private String shareType;

    /** 请求方式 */
    @Excel(name = "请求方式")
    private String interfaceType;

    /** 环境 */
    @Excel(name = "环境")
    private String env;

    /** 签名服务地址 */
    @Excel(name = "签名服务地址")
    private String signServeraddress;

    /** 接口地址 */
    @Excel(name = "接口地址")
    private String interfaceAddress;

    /** IAM方式 */
    @Excel(name = "IAM方式")
    private String typeIam;

    /** AK/SK方式 */
    @Excel(name = "AK/SK方式")
    private String typeAksk;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setInterfaceName(String interfaceName)
    {
        this.interfaceName = interfaceName;
    }

    public String getInterfaceName()
    {
        return interfaceName;
    }
    public void setInfoItem(String infoItem)
    {
        this.infoItem = infoItem;
    }

    public String getInfoItem()
    {
        return infoItem;
    }
    public void setUsageScenarios(String usageScenarios)
    {
        this.usageScenarios = usageScenarios;
    }

    public String getUsageScenarios()
    {
        return usageScenarios;
    }
    public void setShareType(String shareType)
    {
        this.shareType = shareType;
    }

    public String getShareType()
    {
        return shareType;
    }
    public void setInterfaceType(String interfaceType)
    {
        this.interfaceType = interfaceType;
    }

    public String getInterfaceType()
    {
        return interfaceType;
    }
    public void setEnv(String env)
    {
        this.env = env;
    }

    public String getEnv()
    {
        return env;
    }
    public void setSignServeraddress(String signServeraddress)
    {
        this.signServeraddress = signServeraddress;
    }

    public String getSignServeraddress()
    {
        return signServeraddress;
    }
    public void setInterfaceAddress(String interfaceAddress)
    {
        this.interfaceAddress = interfaceAddress;
    }

    public String getInterfaceAddress()
    {
        return interfaceAddress;
    }
    public void setTypeIam(String typeIam)
    {
        this.typeIam = typeIam;
    }

    public String getTypeIam()
    {
        return typeIam;
    }
    public void setTypeAksk(String typeAksk)
    {
        this.typeAksk = typeAksk;
    }

    public String getTypeAksk()
    {
        return typeAksk;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("interfaceName", getInterfaceName())
            .append("infoItem", getInfoItem())
            .append("usageScenarios", getUsageScenarios())
            .append("shareType", getShareType())
            .append("interfaceType", getInterfaceType())
            .append("env", getEnv())
            .append("signServeraddress", getSignServeraddress())
            .append("interfaceAddress", getInterfaceAddress())
            .append("typeIam", getTypeIam())
            .append("typeAksk", getTypeAksk())
                .append("code", getCode())
            .toString();
    }
}
